﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;


namespace _133629
{
    
    class SelectedString:INotifyPropertyChanged
    {

        bool selected;

        public bool Selected
        {
            get { return selected; }
            set { selected = value;
            NotifyPropChanged("Selected");
            }
        }

        string stringValue;

        public string StringValue
        {
            get { return stringValue; }
            set { stringValue = value;
            NotifyPropChanged("StringValue");
            }
        }

        public SelectedString(bool selected, string stringValue)
        {
            this.selected = selected;
            this.stringValue = stringValue;
        }

        #region INotifyPropertyChanged Members

        private void NotifyPropChanged(string prop)
        {
            if (PropertyChanged != null)
                PropertyChanged.Invoke(this, new PropertyChangedEventArgs(prop));
        }
        public event PropertyChangedEventHandler PropertyChanged;

        #endregion
    }
}
